#!/usr/bin/perl

# Script:
# Install Profile - Firefox v3.6.13 Custom


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Profile - Firefox v3.6.13 Custom");

$Launched_Script->is_Private();

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs my private Firefox v3.6.13 custom profile.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);

use ApolliaLib::File_or_Folder_Handling::Many_Items ( "Chown_Item_Recursively");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;

my $tarball_name;
my $destination_folder;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################

$tarball_name="Custom.tar.gz";
$destination_folder="/root/aphome/Firefox_v3_6_13/.mozilla/firefox";
#$destination_folder="/root/.mozilla/firefox";

$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install your private Firefox custom profile"
	);
	
	

if ($should_proceed)
{

	
	
	#-----------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		#"/Firefox Profile/Custom.tar.gz" => "/root/.mozilla/firefox/"
		"Firefox/v3.6.13/Profiles/Custom/$tarball_name" => $destination_folder,
		"Firefox/v3.6.13/Profiles/Custom/profiles.ini" => $destination_folder
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$destination_folder;

	$command_line="tar -xvkf $tarball_name";

	$chose_to_install 
	= Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install your private Firefox custom profile", "Installing your private Firefox custom profile!");

	
	#------------------
	#
	# File to delete:
	
	Delete_File("$destination_folder/$tarball_name");
	
	
	#---------------
	#
	# Change owner and group to Firefox_v3_6_13:
	
	Chown_Item_Recursively($destination_folder . "/Custom", "and change its owner to", "Firefox_v3_6_13", "Firefox_v3_6_13");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();