#!/usr/bin/perl

# Detailed Compare with diff - Paths 1 and 2
#
# Version 1
#
# by Apollia of Astroblahhh.Com.  http://astroblahhh.com/
#
# Mostly completed May 2014.  Polished Oct. 15, 2014.
#
#
#
################################################################################
#
#
#
#
# -----
#
#
# Except for parts not by Apollia:
#
#    Copyright (C) 2014  Apollia
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/ .
#
#
#    Contact info:     http://astroblahhh.com/contact-apollia.shtml 


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Detailed Compare with diff - Paths 1 and 2");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");


#######################################################################
#
#   Some stuff you can change
#


$Launched_Script->Description("Uses diff to do a detailed comparison of the paths stated in /tmp/diff_folder1.txt and /tmp/diff_folder2.txt.  (Which don't have to be folders).");

	
	

#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();
	# Uncomment if you'd prefer this script not to open a terminal window when it runs.
	#
	# Otherwise, by default, this script will relaunch itself in a terminal window
	# so you can read output.
	
$ApolliaLib_Settings->{'min_number_of_args_other_than_ignored_args'}=0;
	# Can be 0 or any other number.
	
$ApolliaLib_Settings->{'max_number_of_args_other_than_ignored_args'}=1;
	# Can be 0 or any number.



$ApolliaLib_Settings->{'script_ending_type'}="Wait_For_Return_At_Scripts_End";
		# Possible values: 
		#
		# Wait_For_Return_At_Scripts_End
		# Autoclose_After_X_Seconds
		# Dont_Wait_For_Return_At_Scripts_End
		#
		# Default: Wait_For_Return_At_Scripts_End
		
	


$ApolliaLib_Settings->{'num_of_seconds_before_autoclose'}=10;
	# Default: 5

	
#   End of stuff you can change.
#
#
#   Below this point, nothing else in this script needs to be changed.
#
#
#######################################################################


#$ApolliaLib->Should_Note_Successful_Script_Completion();
#$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



Typical_Script_Launch();



#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


use ApolliaLib::File_or_Folder_Handling::Diff_Comparison (
	"Detailed_Compare_1st_and_2nd_Paths_with_Diff"
	);
	
#
#
#	End of additional modules
#
#####################################################




Detailed_Compare_1st_and_2nd_Paths_with_Diff();


End_Script();