#!/usr/bin/perl

# Script:
# Download Tarball - Flash Player v11.2.202.442 for 32-bit Linuxes


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';


my $Flash_Version="11.2.202.442";

use ApolliaLib::Common::Loader;


$Launched_Script->Title("Download Tarball - Flash Player v$Flash_Version for 32-bit Linuxes");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Downloads the non-libre Flash plugin v$Flash_Version for web browsers.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_32_bit_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Puppy_Setup_Kit::Downloader ( '$Puppy_Setup_Kit_Downloader' );

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $human_readable_software_name_and_maybe_desc;

my $Minimum_RAM_Required_in_MB_for_file;

my $URL_for_file;


my $realm_for_file;
my $relative_destination_folders;
my $filename_of_file_to_download;


my $should_proceed;
my $download_verified;

my $uncapitalized_human_readable_software_name_and_maybe_desc;
my $optional_extra_params_for_wget;

#
#
#	End of variable declarations
#
#####################################################


$human_readable_software_name_and_maybe_desc = "The non-libre Flash plugin v$Flash_Version for web browsers";


$Minimum_RAM_Required_in_MB_for_file=10;
	# Make sure you round up.


#$URL_for_file="https://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.406/install_flash_player_11_linux.i386.tar.gz";
# 22:19 02/07/2015.  That link doesn't work anymore.

$URL_for_file="http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.442/install_flash_player_11_linux.i386.tar.gz";

#$optional_extra_params_for_wget = "--output-document='lupu-528.004.iso'";


$realm_for_file="Weir";

$relative_destination_folders="Web Browsers/Plugins/Flash/v$Flash_Version";
	# Don't put a slash at the beginning or end.

$filename_of_file_to_download="install_flash_player_11_linux.i386.tar.gz";


# Uncomment these if you don't like the universal defaults already set 
# in $Puppy_Setup_Kit or $ApolliaLib_Settings:

#$Puppy_Setup_Kit->{'should_use_temporary_workspace_for_downloads'}=false;

#$Puppy_Setup_Kit->{'should_allow_downloading_direct_to_physical_disk_if_RAM_disk_is_too_full'}=false;


#$Puppy_Setup_Kit->{'should_allow_downloads'}=false;

#$ApolliaLib_Settings->{'should_tell_wget_NOT_to_check_certificate'}=true;
# 02:16 09/22/2014.  Wget refuses to work while using https with macromedia.com
# if you check the certificate.



##############################
#
# Here, we make sure we can proceed at all.  
#
# We abort here if the file already exists,
# or if there's not enough RAM and downloading directly to the physical disk is forbidden.


#!!!!
$Puppy_Setup_Kit_Downloader->Make_Sure_Download_Is_Feasible(
	$realm_for_file, $relative_destination_folders, $filename_of_file_to_download, $human_readable_software_name_and_maybe_desc, $Minimum_RAM_Required_in_MB_for_file, $URL_for_file
	);



##############################
#
# Now, we ask the user (or don't ask, depending on what arguments this script received at launch)
# if they want to download the file.

$uncapitalized_human_readable_software_name_and_maybe_desc=lcfirst($human_readable_software_name_and_maybe_desc);


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"download $uncapitalized_human_readable_software_name_and_maybe_desc"
	);
	
	

if ($should_proceed)
{
	
	#@@@@
	$download_verified=false;
	#@@@@


	$download_verified = $Puppy_Setup_Kit_Downloader->Download_File($realm_for_file, $relative_destination_folders, $filename_of_file_to_download, $human_readable_software_name_and_maybe_desc, $URL_for_file, $optional_extra_params_for_wget);

	
	if ($download_verified )
	{	
		$Launched_Script->Was_Successfully_Completed();
	}

}


#!!!!
End_Script();