#!/usr/bin/perl

# Script:
# Install Tarball - Freepats MIDI stuff from 2006-02-19 - useable by Deadbeef audio player


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Freepats MIDI stuff from 2006-02-19 - useable bys Deadbeef audio player");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it so the Deadbeef audio player can play MIDIs after you restart Deadbeef.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#


my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;
my @dirs_to_make;

#
#
#	End of variable declarations
#
#####################################################






$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install Freepats MIDI stuff from 2006-02-19, useable by Deadbeef audio player"
	);
	


if ($should_proceed)
{	
	
	$folder_to_run_shell_command_in="/root/apbin/MIDIStuff/Freepats";
	
	
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$folder_to_run_shell_command_in
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#---------------
	#
	# Tarball to extract:
	
	
	$command_line="tar -xvf '" . $Puppy_Setup_Kit->Realm_Path("Waterfall") . "Audio/MIDI/Freepats/freepats-20060219.tar.bz2'";
	
	Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install Freepats MIDI stuff from 2006-02-19 for Deadbeef audio player", "Installing Freepats MIDI stuff from 2006-02-19 for Deadbeef audio player!");
	
	
	print "\n\nDone installing Freepats MIDI stuff from 2006-02-19 for Deadbeef audio player!";
	
	print "\n\nPlease restart Deadbeef (if it's currently open) to make the Freepats MIDI capabilities work!\n\n";
	
	$Launched_Script->Was_Successfully_Completed();
}


End_Script();