#!/usr/bin/perl

# Script:
# Make Folder /root/Downloads/TestWallpaper/


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


my $folder_path_to_make = "/root/Downloads/TestWallpaper";


$Launched_Script->Title("Make Folder $folder_path_to_make");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes a temporary folder inside the Puppy RAM disk where I sometimes do things to avoid making my physical disks do anything.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Items ( "Chown_Many_Items_Recursively");
	
use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Chmod_Many_Items"
	);
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"make the folder path $folder_path_to_make"
	);

if ( $should_proceed )
{
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$folder_path_to_make
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#---------------
	#
	# And now to chown:
	
	Chown_Many_Items_Recursively(\@dirs_to_make, "and change their owner to", "root", "audio");
	
	
	#----------------------
	#
	#  Grant permissions
	#	0755 - "rwx for owner, rx for group and rx for the world"
	#
	#	http://www.linux.org/threads/file-permissions-chmod.4094/
	#
	#	The quoted page says 755, but only 0755 works right in Lucid Puppy 5.2.8 version 004.
	
		
	Chmod_Many_Items(\@dirs_to_make, 0775);
		# Read/execute, read, read
		
		
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();