#!/usr/bin/perl

# Script:
# Install Extension - TimestampMod v0.2.8 beta, works with Mercurial 3.1


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Extension - TimestampMod v0.2.8 beta, works with Mercurial 3.1");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs TimestampMod v0.2.8, an extension which definitely works with Mercurial 3.1.  Makes Mercurial preserves timestamps on files.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;

my $tarball_name;
my $destination_for_tarball;

#
#
#	End of variable declarations
#
#####################################################


$tarball_name="timestampmod--.hg folder removed by Apollia.tar.gz";
$destination_for_tarball="/root/apbin/Mercurial Extensions";


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the profile Default Without Addons for Firefox v32"
	);
	
	

if ($should_proceed)
{
	
	
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$destination_for_tarball
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#-----------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		
		"Version Control Systems/Mercurial/definitely v3_1, maybe others/Extensions/$tarball_name" => $destination_for_tarball
	
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$destination_for_tarball;

	$command_line="tar -xvkf '$tarball_name'";

	Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install TimestampMod v0.2.8 beta extension for Mercurial", "Installing TimestampMod v0.2.8 beta extension for Mercurial!");

	
	#------------------
	#
	# File to delete:
	
	Delete_File("$destination_for_tarball/$tarball_name");
	

	
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();