#!/usr/bin/perl

# Script:
# Symlink defaultbrowser to mydefaultbrowser


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Symlink defaultbrowser to mydefaultbrowser");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it so defaultbrowser is symlinked to mydefaultbrowser, so you can skip being asked for confirmation that you want to open your web browser.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Deletion::Single_File_or_Single_Symlink	(
	"Delete_File_or_Symlink"
	);
	
	
use ApolliaLib::File_Handling::Single_Symlink ( "Make_Symlink_To" );

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"make it so defaultbrowser is symlinked to mydefaultbrowser"
	);


if ( $should_proceed )
{

	#---------------
	#
	# File to delete:
	
	Delete_File_or_Symlink("/usr/local/bin/defaultbrowser");
	
	
	#------------------
	#
	# Symlink to make:
	
	Make_Symlink_To( "/usr/local/bin/mydefaultbrowser", "and put it at", "/usr/local/bin/defaultbrowser" );
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();