#!/usr/bin/perl

# Script:
# Symlink mydefaultbrowser to root Firefox v32


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Symlink mydefaultbrowser to root Firefox v32");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it so mydefaultbrowser is symlinked to default non-root Firefox v32 launcher.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Overwriting::Single_Symlink ( "Replace_Symlink_at_" );

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"make it so mydefaultbrowser is symlinked to root Firefox v32 launcher"
	);


if ( $should_proceed )
{

	#------------------
	#
	# Symlink to make:
	
	Replace_Symlink_at_( "/usr/local/bin/mydefaultbrowser", "and point it at", "/root/apbin/Firefox/Launchers/firefox-v32-as-root" );
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();