#!/usr/bin/perl

# Script:
# IceWM Theme Install - Velvet-Azul-ApMod-Mar-12-2011


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("IceWM Theme Install - Velvet-Azul-ApMod-Mar-12-2011");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("My typical custom IceWM theme since March 12, 2011.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

my $tarball_name;
my $destination_for_tarball;

my $folder_to_run_shell_command_in;
my $command_line;

#
#
#	End of variable declarations
#
#####################################################


$tarball_name="Velvet-Azul-ApMod-Mar-12-2011.tar.gz";
$destination_for_tarball="/usr/share/icewm/themes";


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the IceWM theme Velvet-Azul-ApMod-Mar-12-2011"
	);


if ( $should_proceed )
{


	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"IceWM/Themes/Velvet-Azul-ApMod-Mar-12-2011/$tarball_name" => "/usr/share/icewm/themes/"	
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
		

	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$destination_for_tarball;

	$command_line="tar -xvkf '$tarball_name'";

	Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install the IceWM theme Velvet-Azul-ApMod-Mar-12-2011", "Installing the IceWM theme Velvet-Azul-ApMod-Mar-12-2011!");

	
	#------------------
	#
	# File to delete:
	
	Delete_File("$destination_for_tarball/$tarball_name");

	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();