# ApolliaLib :: Common :: Separate_Process.pm
#
# Stuff related to launching things in a separate process 
# using the Proc::Daemon module.


use strict;
use warnings;


package ApolliaLib::Common::Separate_Process;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Common::Separate_Process;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Display_Command_Line_and_Issue_It_In_A_Separate_Process
		
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use Proc::Daemon;

use ApolliaLib::Common::Settings ( 
	'$ApolliaLib_Settings'
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



our $ApolliaLib_ProcDaemon = Proc::Daemon->new(
	work_dir => "$ApolliaLib_Settings->working_dir_for_proc_daemon_perl_module",
);



sub Display_Command_Line_and_Issue_It_In_A_Separate_Process
{
	my $command_line=$_[0];
	
	
	#----
	my $Spawn_PID;
	
	
	
	##############################
	
	print "\n\n\n# $command_line";
	
	print "\n\n\n";
	

	$Spawn_PID = $ApolliaLib_ProcDaemon->Init
	(	
		{ 
			exec_command => "$command_line",
		}
	);


	system ($command_line);
	
}



1;