# ApolliaLib :: File_Handling :: Contents.pm
#
# Stuff related to the contents of files.


use strict;
use warnings;


package ApolliaLib::File_Handling::Contents;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Contents;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_String_out_of_File_Contents
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	necho
	
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Make_String_out_of_File_Contents
{
	my $fullpath_to_file=$_[0];
	
	
	#----
	my $FILEHANDLE;
	my $file_contents;
	
	
	
	##############################
	
	if (!-e $fullpath_to_file)
	{	#print "\n\nWARNING: Can't run Make_String_out_of_File_Contents() on a nonexistent file!  No file at:\n	$fullpath_to_file";
		
		
		#!!!!
		return false;
	}
	
	if (!-f $fullpath_to_file)
	{	print "\n\nWARNING: Can't run Make_String_out_of_File_Contents() on a path which isn't a file! This is something other than a file:\n	$fullpath_to_file";
	
		
		#!!!!
		return false;
	}
	
	
	open ($FILEHANDLE, $fullpath_to_file); 
	
	
	$file_contents = do 
		{	local $/; 
			<$FILEHANDLE> 
		};
	
	close $FILEHANDLE;
	
	
	#!!!!
	return $file_contents;
	
}



1;