# ApolliaLib :: File_Handling :: Deletion :: Single_Symlink.pm
#
# Stuff related to deleting or replacing single symlinks.


use strict;
use warnings;


package ApolliaLib::File_Handling::Deletion::Single_Symlink;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Deletion::Single_Symlink;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
	Delete_Symlink
	);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw();
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);

use ApolliaLib::File_Handling::Single_Symlink qw (
	Make_Symlink_To
	);
#
#	End of Needed imports from other modules
#
##################################################

	


################################################################
#
#	Start of stuff unique to this module
#



sub Delete_Symlink
{	
	my $symlink_to_delete=$_[0];
	

	#----
	my $succeeded;
	
	
	
	##############################
	
	if (-l $symlink_to_delete) # If it's actually a symlink, try to delete it.
	{	
		$succeeded = unlink ($symlink_to_delete);
		
		if ($succeeded)
		{	print "\n\nDeleted this symlink successfully:
	$symlink_to_delete";

			
			#!!!!
			return true;
		}
		else
		{	print "\n\nFAILED to delete this symlink:
	$symlink_to_delete";
	
	
			#!!!!
			return false;
		}
	}
	
	else # It wasn't a symlink.
	{	
		if (-e $symlink_to_delete)
		{	print "\n\nCouldn't delete supposed symlink:
	$symlink_to_delete

A file exists there, but it's not a symlink!";

			
			#!!!!
			return false;
		}
		else
		{
			print "\n\nCouldn't delete symlink:
	$symlink_to_delete
	
No symlink or anything else at that path!\n";


			#!!!!
			return false;
		}
	}
	
	
	print "\n\nThis section of Delete_Symlink() should never be reached!";
	
	
	#!!!!
	return false;
	
}



1;