# ApolliaLib :: File_Handling :: Many_Symlinks.pm
#
# Stuff related to many symlinks.  Creation.


use strict;
use warnings;


package ApolliaLib::File_Handling::Many_Symlinks;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Many_Symlinks;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_Many_Symlinks
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);
	
use ApolliaLib::File_Handling::Single_Symlink qw (
	Make_Symlink_To
	
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Make_Many_Symlinks
{
	my $ref_to_symlink_positions_then_destinations=$_[0];
	
	
	#----
	my %symlinks_to_make__positions_then_destinations;
	my $count_of_symlinks_made;
	
	my $symlink_position;
	my $symlink_destination;
	
	my $symlinking_result;
	
	#@@@@
	%symlinks_to_make__positions_then_destinations=%$ref_to_symlink_positions_then_destinations;
	$count_of_symlinks_made=0;
	

	
	##############################
	
	while ( ($symlink_position, $symlink_destination) = each (%symlinks_to_make__positions_then_destinations))
	{	#print "Symlink dest: $symlink_dest  Loc: $symlink_loc \n\n";
		
		$symlinking_result=Make_Symlink_To($symlink_destination, "and put it at", $symlink_position);
		
		
		if ($symlinking_result)
		{
			$count_of_symlinks_made++;
		};
	}
	
	print "\n\n\n\nNumber of symlinks made: $count_of_symlinks_made";
}



1;