# ApolliaLib :: File_Handling :: Overwriting :: Single_File.pm
#
# Stuff related to overwriting single files.


use strict;
use warnings;


package ApolliaLib::File_Handling::Overwriting::Single_File;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Overwriting::Single_File;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Overwrite_Filepath_with_Text
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	necho
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Overwrite_Filepath_with_Text
{

	# 0th arg = the full path to the file which will be overwritten. If something exists
	# there which isn't a file, nothing will happen.
	
	# 1st arg: Unused, can be anything.  Just for readability.
	# Typically, I put "and put the following text:"
	
	# 2nd arg: The text to put in the new file.
	
	my $full_path_to_file=$_[0];
	
	my $text=$_[2];
	
	
	#----
	my $FILEHANDLE;
	
	
	
	##############################
		
	if ( -e $full_path_to_file)
	{	if (!-f $full_path_to_file)
		{	print "WARNING: Overwrite_File_Path_with_Text() function can't overwrite something that's not a file!  Failed to write to $full_path_to_file with the text '$text'.";
			
			
			#!!!!
			return false;
		}
	}
	
	#necho " overwriting - full_path_to_file $full_path_to_file with text $text ";

	open ($FILEHANDLE, '>', "$full_path_to_file");

	print $FILEHANDLE $text;
	
	close $FILEHANDLE;


	#!!!!
	return true;
}



1;