# ApolliaLib :: File_or_Folder_Handling :: Many_Relativepath_Items.pm
#
# Where stuff related to many files and folders with relative paths.  Copy.


use strict;
use warnings;


package ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Copy_Relativepath_Items_to_Their_Dest_Parentdirs
		Copy_and_Rename_Relativepath_Items
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	Prefix_Hash_Keys_With
	Print_Hash_Indentedly
	
	);

use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Copy_Many_Items_to_Their_Dest_Parentdirs",
	"Copy_and_Rename_Many_Items",
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Copy_Relativepath_Folder_s_Contents_to_Dest_Parentdirs
{
	# 07:56 08/15/2014. Incomplete.
	
	my $prefix_for_all_hash_keys=$_[0];
	my $relativepath_folders_whose_contents_must_be_copied=$_[1];
	my $should_overwrite_or_not=$_[2];
	my $additional_args_for_copy_command=$_[3];	
}



sub Copy_and_Rename_Relativepath_Items
{	
	# Arg 0 - a path string prefix for argument 2.
	#
	# Arg 1 - a hash (ref) of files or folders with relative paths, then their dest paths.
	#
	# Arg 2 - whether or not files should get overwritten (also known as clobbered).
	#
	# Arg 3 - more args for the copy (cp) command, so you can "--dereference" symlinks if you prefer,
	# 	or do other things.
	#
	#
	# This function makes a hash of full paths out of the hash of relative paths,
	# then sends that along with the last 3 args to the function 
	# Copy_Many_Items_to_Their_Dest_Parentdirs().
	
	
	my $prefix_for_all_hash_keys=$_[0];
	my $ref_to_hash_of_relativepath_items_and_their_dest_paths=$_[1];
	
	my $should_overwrite_or_not=$_[2];
	
	my $additional_args_for_copy_command=$_[3];
	
	
	#----
	my %relativepath_items_and_their_dest_paths;
	my $ref_to_hash_of_fullpath_items_and_their_dest_paths;
	
	my %items_to_copy_and_rename__their_full_paths__then_their_dest_paths;
	
	#@@@@
	%relativepath_items_and_their_dest_paths=
		%$ref_to_hash_of_relativepath_items_and_their_dest_paths;

	
	
	##############################
	
	
	$ref_to_hash_of_fullpath_items_and_their_dest_paths=
		Prefix_Hash_Keys_With($prefix_for_all_hash_keys, \%relativepath_items_and_their_dest_paths);
	
	
		#@@@@
	%items_to_copy_and_rename__their_full_paths__then_their_dest_paths=
		%$ref_to_hash_of_fullpath_items_and_their_dest_paths;
		#@@@@
	
	
	Copy_and_Rename_Many_Items(\%items_to_copy_and_rename__their_full_paths__then_their_dest_paths, $should_overwrite_or_not, $additional_args_for_copy_command );
	
}



sub Copy_Relativepath_Items_to_Their_Dest_Parentdirs
{	
	# Arg 0 - a path string prefix for argument 2.
	#
	# Arg 1 - a hash (ref) of files or folders with relative paths, then their dest parentdirs.
	#
	# Arg 2 - whether or not files should get overwritten (also known as clobbered).
	#
	# Arg 3 - more args for the copy (cp) command, so you can "--dereference" symlinks if you prefer,
	# 	or do other things.
	#
	#
	# This function makes a hash of full paths out of the hash of relative paths,
	# then sends that along with the last 3 args to the function 
	# Copy_Many_Items_to_Their_Dest_Parentdirs().
	
	
	my $prefix_for_all_hash_keys=$_[0];
	my $ref_to_hash_of_relativepath_items_and_their_dest_parentdirs=$_[1];
	
	my $should_overwrite_or_not=$_[2];
	
	my $additional_args_for_copy_command=$_[3];
	
	
	#----
	my %relativepath_items_and_their_dest_parentdirs;
	my $ref_to_hash_of_fullpath_items_and_their_dest_parentdirs;
	
	my %items_to_copy__their_full_paths__then_their_dest_parentdirs;
	
	#@@@@
	%relativepath_items_and_their_dest_parentdirs=
		%$ref_to_hash_of_relativepath_items_and_their_dest_parentdirs;

	
	
	##############################
	
	
	$ref_to_hash_of_fullpath_items_and_their_dest_parentdirs=
		Prefix_Hash_Keys_With($prefix_for_all_hash_keys, \%relativepath_items_and_their_dest_parentdirs);
	
	
		#@@@@
	%items_to_copy__their_full_paths__then_their_dest_parentdirs=
		%$ref_to_hash_of_fullpath_items_and_their_dest_parentdirs;
		#@@@@
	
	
	Copy_Many_Items_to_Their_Dest_Parentdirs(\%items_to_copy__their_full_paths__then_their_dest_parentdirs, $should_overwrite_or_not, $additional_args_for_copy_command );
	
}



1;