# ApolliaLib :: Folder_Handling :: Contents.pm
#
# Stuff related to the contents of folders.


use strict;
use warnings;


package ApolliaLib::Folder_Handling::Contents;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Folder_Handling::Contents;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_Array_of_Folder_Contents
		Make_Array_of_Fullpaths_to_Folder_Contents
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	necho
	Add_Slash_If_Needed_To_
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Make_Array_of_Fullpaths_to_Folder_Contents
{
	my $fullpath_to_folder=$_[0];
	
	
	#----
	my @items_in_folder;
	my $ref_to_items_in_folder;
	
	my $item_in_folder;
	
	my @fullpaths_of_items_in_folder;
	
	
	#@@@@
	$ref_to_items_in_folder=Make_Array_of_Folder_Contents($fullpath_to_folder);
	@items_in_folder=@$ref_to_items_in_folder;
	
	$fullpath_to_folder=Add_Slash_If_Needed_To_($fullpath_to_folder);
	
	
	##############################
	
	foreach $item_in_folder (@items_in_folder)
	{	
		if ( $item_in_folder ne "." && $item_in_folder ne "..")
		{
			push (@fullpaths_of_items_in_folder, "$fullpath_to_folder$item_in_folder");
		}
	}
	
	return \@fullpaths_of_items_in_folder;
	
}



sub Make_Array_of_Folder_Contents
{	
	my $fullpath_to_folder=$_[0];
	
	
	#----
	my $FOLDER;	
	my @items_in_folder;
	
	
	
	##############################
	
	
	opendir ($FOLDER, $fullpath_to_folder);
	
	@items_in_folder=readdir($FOLDER);
	
	closedir($FOLDER);
	
	
	
	#!!!!
	return \@items_in_folder;
}



1;