# ApolliaLib :: Folder_Handling :: Many_Folders.pm
#
# Stuff related to many folders.  Creation.


use strict;
use warnings;


package ApolliaLib::Folder_Handling::Many_Folders;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Folder_Handling::Many_Folders;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_Many_Folder_Paths
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);


use ApolliaLib::Folder_Handling::Single_Folder (
	"Make_Folder_Path",
	);

	
#
#	End of Needed imports from other modules
#
##################################################
	



################################################################
#
#	Start of stuff unique to this module
#



sub Make_Many_Folder_Paths
{	
	my $ref_to_list_of_folder_paths_to_make=$_[0];
	
	
	#----
	my @folder_paths_to_make;
	my $folder_path_to_make;
	
	#@@@@
	@folder_paths_to_make=@$ref_to_list_of_folder_paths_to_make;



	##############################	
	
	
	foreach $folder_path_to_make (@folder_paths_to_make)
	{	
		Make_Folder_Path($folder_path_to_make);
	}
}



1;