# ApolliaLib :: GTK_Themes :: Misc.pm
#
# Stuff related to GTK themes.  Switching to different ones.
#
# Depends on the shell command "gtk-theme-switch2".


use strict;
use warnings;


package ApolliaLib::GTK_Themes::Misc;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::GTK_Themes::Misc;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Switch_GTK_Theme_to_
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	Display_and_Do_Command_Line_and_Result
	Escape_Single_Quotes_for_Bash
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Switch_GTK_Theme_to_
{	
	my $full_path_of_gtk_theme_to_switch_to=$_[0];
	

	#----
	my $escaped_full_path_of_gtk_theme_to_switch_to;
	my $command_line;
	my $result;
	

	#@@@@
	$escaped_full_path_of_gtk_theme_to_switch_to=Escape_Single_Quotes_for_Bash($full_path_of_gtk_theme_to_switch_to);


	
	##############################
		
	$command_line = "gtk-theme-switch2 '$escaped_full_path_of_gtk_theme_to_switch_to' 2>&1";
	
	$result=Display_and_Do_Command_Line_and_Result($command_line);

}



1;