# ApolliaLib :: Puppy_Setup_Kit :: Arguments.pm
#
# Stuff related to command line arguments for Puppy Setup Kit scripts.


use strict;
use warnings;


package ApolliaLib::Puppy_Setup_Kit::Arguments;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::Arguments;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Determine_Using_Argv_Whether_To_Install_Without_Asking
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw ( 
	true 
	false
	Print_Array_Indentedly
	);


use ApolliaLib::Puppy_Setup_Kit::Settings qw ( 
	$Puppy_Setup_Kit
	);


#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Determine_Using_Argv_Whether_To_Install_Without_Asking
{	
	
	
	#----
	my $arg;



	##############################

	foreach $arg (@ARGV)
	{
		if ($arg eq "Install_Without_Asking")
		{	
			$Puppy_Setup_Kit->{'should_or_should_not_install_without_asking'}=true;
			
			
			#!!!!
			return true;
		}
		elsif ($arg eq "Dont_Install_Without_Asking")
		{	
			last;
		}
		
	}

		
	$Puppy_Setup_Kit->{'should_or_should_not_install_without_asking'}=false;
	
	
	#!!!!
	return false;
	
}



1;