# ApolliaLib :: Puppy_Setup_Kit :: LH64_602 :: Specific.pm
#
# Does stuff specifically for Lighthouse Puppy Linux 64 version 6.02.



use strict;
use warnings;


package ApolliaLib::Puppy_Setup_Kit::LH64_602::Specific;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::Misc;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		
		Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#


use ApolliaLib::Common::Misc qw ( 
	true 
	false 
	Escape_Single_Quotes_for_Bash
	Print_Hash_Indentedly
	);

use ApolliaLib::Common::Settings (
	'$ApolliaLib_Settings'
	);

use ApolliaLib::Puppy_Setup_Kit::Settings qw ( 
	$Puppy_Setup_Kit
	);

use ApolliaLib::Puppy_Setup_Kit::Arguments qw (
	Determine_Using_Argv_Whether_To_Install_Without_Asking
	);
	
	
#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#


sub Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script
{	
	
	#@@@@



	##############################
	
	
	$Puppy_Setup_Kit->{'should_or_should_not_install_without_asking'} 
		= $ApolliaLib_Settings->should_do_things_automatically;
	
	
	if ( $Puppy_Setup_Kit->{'should_or_should_not_install_without_asking'} )
	{	print "\n\n\n\nShould install without asking!\n\n";
	}
	else
	{	print "\n\n\n\nShouldn't install without asking!\n\n";
	}
	
}



1;