# ApolliaLib :: Puppy_Setup_Kit :: Loader.pm
#
# This is the Puppy Setup Kit ApolliaLib that loads the other 
# ApolliaLib :: Puppy_Setup_Kit libraries, used by all Puppy Setup Kits.
#
# This module is a Loader module, which doesn't itself create any new
# functions, etc., but instead only loads other modules and makes things 
# from those modules available to any script which uses the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::Loader;



use strict;
use warnings;


package ApolliaLib::Puppy_Setup_Kit::Loader;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::Loader;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(
		$Puppy_Setup_Kit_Settings
		$Puppy_Setup_Kit_Settings_say_we
		$Puppy_Setup_Kit
		Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script
		Determine_Using_Argv_Whether_To_Install_Without_Asking
		Install_Program_Via_Shell_Command
		Install_Pet

		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
		
	
		);
		
}



#
#                End of Exported Stuff section. 
#
#
################################################################



################################################################
#
#	This module is a Loader module, which only loads other modules, 
#	and doesn't itself create any new functions, etc.
#


use ApolliaLib::Puppy_Setup_Kit::Settings;
	# Settings for Puppy Setup Kits.  Affects all Puppy Setup Kits.
	
	
use ApolliaLib::Puppy_Setup_Kit::Arguments;
	# Stuff related to command line arguments for Puppy Setup Kit scripts.


use ApolliaLib::Puppy_Setup_Kit::User_Prompted_Actions;
	# Stuff related to asking the user what to do.
	

use ApolliaLib::Puppy_Setup_Kit::Misc;
	# Misc Puppy Setup Kit functions, like the function
	#
	# 		Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script()
	#
	# which, in Puppy Setup Kit scripts, is supposed to always run 
	# after the ApolliaLib function Typical_Script_Launch().

1;