# ApolliaLib :: Puppy_Setup_Kit :: User_Prompted_Actions.pm
#
# Stuff related to asking the user what to do.


use strict;
use warnings;


package ApolliaLib::Puppy_Setup_Kit::User_Prompted_Actions;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::User_Prompted_Actions;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		
		Install_Program_Via_Shell_Command
		Install_Pet

		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(

		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw ( 
	true 
	false 
	Escape_Single_Quotes_for_Bash
	necho
	Display_and_Do_Command_Line
	
	);

use ApolliaLib::Common::Path_String_Handling qw (
	Get_Filename_and_Parentdirs
	);
	
use ApolliaLib::Common::User_Prompted_Actions (
	"Ask_To_Do_Action",
	"Do_Action_Or_Not"
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Install_Program_Via_Shell_Command
{
	my $automatically_or_not=$_[0];
	my $folder_to_run_shell_command_in=$_[1];
	my $shell_command=$_[2];
	my $action_phrase=$_[3];
	my $action_announcement=$_[4];
	
	
	#----
	my $should_do_action_or_not;
	
	
	
	##############################
	
	
	chdir $folder_to_run_shell_command_in;
	
	if ($automatically_or_not eq false)
	{
		$should_do_action_or_not=Ask_To_Do_Action($action_phrase);
	}
	else
	{
		$should_do_action_or_not=true;
	}

	
	Do_Action_Or_Not($should_do_action_or_not, $action_announcement, $shell_command);
	
	
	#!!!!
	return $should_do_action_or_not;
}



sub Install_Pet
{
	my $automatically_or_not=$_[0];
	my $pet_path=$_[1];
	my $program_name=$_[2];
	
	
	#----
	my $pet_parentdirs;
	my $pet_file;
	
	my $petget_command;
	
	
	my $action_phrase;
	my $action_announcement;
	my $should_do_action_or_not;
	
	my $pet_filename;
	my $file_suffix;
	
	#@@@@	
	($pet_file,$pet_parentdirs) = Get_Filename_and_Parentdirs( $pet_path );
	
	
	
	##############################
	
	chdir $pet_parentdirs;
	
	
	#chdir $full_path_to_autoinstallation_files . $pet_folder;
	
	$action_phrase="install $program_name";
	$action_announcement="Installing $program_name...";
	
	if ($automatically_or_not == false)
	{	
		$should_do_action_or_not=Ask_To_Do_Action($action_phrase);
		$petget_command="petget";
	}
	elsif ($automatically_or_not == true)
	{	
		$should_do_action_or_not=true;
		$petget_command="petgetjet";
	}
	else
	{	
		$should_do_action_or_not=false;
	}
	
	Do_Action_Or_Not($should_do_action_or_not, $action_announcement, "$petget_command $pet_file");
	
	
	#!!!!
	return $should_do_action_or_not;
}



1;