# ApolliaLib :: Users_and_Groups :: Misc.pm
#
# Stuff related to Linux users and groups.


use strict;
use warnings;


package ApolliaLib::Users_and_Groups::Misc;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Users_and_Groups::Misc;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Create_Passwordless_New_User
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#


use ApolliaLib::Common::Misc qw (
	true
	false
	Display_and_Do_Command_Line_and_Result
	Escape_Single_Quotes_for_Bash

	);

use ApolliaLib::Common::Settings qw (
	$ApolliaLib_Settings
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Create_Passwordless_New_User
{	
	# 05:58 09/04/2014.  This also happens to automatically create a new
	# group at the same time.
	
	my $new_username=$_[0];
	
	
	#----
	my $command_line;
	my $result;
	my $full_parentdirs_for_new_user_home_directory;
	
	#@@@@
	$full_parentdirs_for_new_user_home_directory=$ApolliaLib_Settings->full_parentdirs_for_new_user_home_directory;
	
	
	
	##############################
	
	print "\n\nNow attempting to create a passwordless new user named:
	
	$new_username";
	
	$command_line="adduser $new_username -D -h $full_parentdirs_for_new_user_home_directory$new_username";
	
	$result = Display_and_Do_Command_Line_and_Result($command_line);
	

	
}



1;