#!/usr/bin/perl

# Script:
# Step 0 - Preliminary Setup


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Step 0 - Preliminary Setup");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs TrueCrypt right away, since its installer has this annoying screen you have to manually click through, and I don't yet know how to permanently remove it.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( 
	"Make_Many_Folder_Paths"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

my $grandparentdirs_for_Main_Disk_of_Puppy_Setup_Kit_note_files;

my $Puppy_Puppy_Distro_Abbrev;

#
#
#	End of variable declarations
#
#####################################################


$Puppy_Puppy_Distro_Abbrev = $Puppy_Setup_Kit->Puppy_Distro_Abbrev();


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"proceed with Step 0 - Preliminary Setup"
	);


if ( $should_proceed )
{

	#---------------------
	#
	# Scripts to launch:
	
	
	@scripts_to_launch__their_relative_paths = (

		"Any_32_bit_Pup/Non-Libre Stuff/TrueCrypt/Install TrueCrypt v7.1 for 32-bit Linuxes.pl",
		# The default TrueCrypt settings are installed in Step 5 - More Setup for [whatever computer].
	
	);
	
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();