#!/usr/bin/perl

# Script:
# Lupu5284 Waterfall Downloads


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Lupu5284 Waterfall Downloads");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("The Waterfall folder is where most of the typical software installed by a Puppy Setup Kit is kept.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( 
	"Make_Many_Folder_Paths"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



	#---------------------
	#
	# Scripts to launch:
	
	
@scripts_to_launch__their_relative_paths = (
	"Astroblahhh/Eryss/Download Pet - Eryss v0.1 and Swiss Ephemeris v1.78.00 extension for Astroblahhh GLMP-GTK or Astroblahhh PH-GTK.pl",
			
	"Astroblahhh/GLMP-GTK/Download Pet - Astroblahhh GLMP-GTK v1.0 (quieter installer version).pl",
	
	"Astroblahhh/PH-GTK/Download Pet - Astroblahhh PH-GTK v1.0 (quieter installer version).pl",
	
	"Audio/DeaDBeeF/Download Pet - DeaDBeeF audio player v0.4.2.pl",
	
	"File Managers/Thunar/Download Pet - Thunar file manager v1.0.2-1-i486.pl",
	
	"File Managers/TuxCommander/Download Pet - TuxCommander file manager v0.6.70.pl",
	
	"File Managers/xfe/Download Pet - xfe file manager v1.32.2.pl",
	
	"Python/Download Pet - Python programming language v2.6.pl",
	
	"Text Editors/GNU Emacs/Download Pet - GNU Emacs text editor v24.3.pl",
	
	"Version Control Systems/Mercurial/Download Tarball - Mercurial 3.1, a version control system already compiled by Apollia for use in Lupu5284.pl",
	
	"VirtualBox/v4.1.8/Download Pet - Drivers for VirtualBox v4.1.8, k2.6.33.2.lupu5.pl",
	
	"VirtualBox/v4.1.8/Download Pet - VirtualBox v4.1.8.pl",
	
	"Web Browsers/Firefox/Download Pet - Firefox v3.6.13.pl",
	
	"Window Managers/IceWM/Download Pet - IceWM v1.3.7-pre2-L519-lucid - with pet installer's popup message removed by Apollia.pl", 
	
	"Xorg/Install Pet - Xorg High v1.1 graphics driver with pet installer's popup xmessage removed by Apollia.pl",
	
	
	);
	
Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";

$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"if you'd like to install any of the above Waterfall software for the Lupu5284 Setup Kit"
	);


if ( $should_proceed )
{

	
	
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland") . "Apollia's Puppy Setup Kit/Downloader Scripts/Waterfall/", \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Dont_Do_Things_Automatically" );
	
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();