#!/usr/bin/perl

# Script:
# Download Pet - IceWM window manager v1.3.7-pre2-L519-lucid - with pet installer's popup message removed by Apollia


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Download Pet - IceWM window manager v1.3.7-pre2-L519-lucid - with pet installer's popup message removed by Apollia");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Downloads the IceWM window manager v1.3.7-pre2-L519-lucid.  The pet installer's popup Xdialog message was removed by Apollia.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Puppy_Setup_Kit::Downloader ( '$Puppy_Setup_Kit_Downloader' );

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $human_readable_software_name_and_maybe_desc;

my $Minimum_RAM_Required_in_MB_for_file;

my $URL_for_file;


my $realm_for_file;
my $relative_destination_folders;
my $filename_of_file_to_download;


my $should_proceed;
my $download_verified;

my $uncapitalized_human_readable_software_name_and_maybe_desc;
my $optional_extra_params_for_wget;

#
#
#	End of variable declarations
#
#####################################################


$human_readable_software_name_and_maybe_desc = "The IceWM window manager v1.3.7-pre2-L519-lucid - a pet file slightly modified by Apollia to remove the pet installer's popup Xdialog message";


$Minimum_RAM_Required_in_MB_for_file=2;
	# Make sure you round up.


$URL_for_file="https://www.dropbox.com/s/o8oe7o6hjc7h4op/icewm-1.3.7pre2-L519-lucid--xdialog-removed-by-apollia.pet?dl=0";

$optional_extra_params_for_wget = "--output-document='icewm-1.3.7pre2-L519-lucid--xdialog-removed-by-apollia.pet'";


$realm_for_file="Waterfall";

$relative_destination_folders="Window Managers/IceWM";
	# Don't put a slash at the beginning or end.

$filename_of_file_to_download="icewm-1.3.7pre2-L519-lucid--xdialog-removed-by-apollia.pet";


# Uncomment these if you don't like the universal defaults already set 
# in $Puppy_Setup_Kit or $ApolliaLib_Settings:

#$Puppy_Setup_Kit->{'should_use_temporary_workspace_for_downloads'}=false;

#$Puppy_Setup_Kit->{'should_allow_downloading_direct_to_physical_disk_if_RAM_disk_is_too_full'}=false;


#$Puppy_Setup_Kit->{'should_allow_downloads'}=false;

$ApolliaLib_Settings->{'should_tell_wget_NOT_to_check_certificate'}=true;
# 04:44 09/22/2014.  Wget refuses to work while using https with dropbox.com
# if you check the certificate.



##############################
#
# Here, we make sure we can proceed at all.  
#
# We abort here if the file already exists,
# or if there's not enough RAM and downloading directly to the physical disk is forbidden.


#!!!!
$Puppy_Setup_Kit_Downloader->Make_Sure_Download_Is_Feasible(
	$realm_for_file, $relative_destination_folders, $filename_of_file_to_download, $human_readable_software_name_and_maybe_desc, $Minimum_RAM_Required_in_MB_for_file, $URL_for_file
	);



##############################
#
# Now, we ask the user (or don't ask, depending on what arguments this script received at launch)
# if they want to download the file.

$uncapitalized_human_readable_software_name_and_maybe_desc=lcfirst($human_readable_software_name_and_maybe_desc);


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"download $uncapitalized_human_readable_software_name_and_maybe_desc"
	);
	
	

if ($should_proceed)
{
	
	#@@@@
	$download_verified=false;
	#@@@@


	$download_verified = $Puppy_Setup_Kit_Downloader->Download_File($realm_for_file, $relative_destination_folders, $filename_of_file_to_download, $human_readable_software_name_and_maybe_desc, $URL_for_file, $optional_extra_params_for_wget);

	
	if ($download_verified )
	{	
		$Launched_Script->Was_Successfully_Completed();
	}

}


#!!!!
End_Script();