#!/usr/bin/perl

# Script:
# Install Driver - Panda wireless internet adapter


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Driver - Panda wireless internet adapter");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs the driver and settings for my Panda wireless internet adapter.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);


use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;

my $tarball_name;
my $destination_for_driver;

#
#
#	End of variable declarations
#
#####################################################


#$tarball_name="firefox-32.0.tar.bz2";
#$destination_for_tarball="/root/apbin/Firefox/firefox_v32";
$destination_for_driver="/root/apbin/Drivers/Panda Wireless Internet Adapter Driver";

$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the driver and settings for the Panda wireless internet adapter"
	);
	
	

if ($should_proceed)
{

	
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/root/apbin/Drivers/Panda Wireless Internet Adapter Driver",
		"/etc/Wireless/RT2870STA/",
		"/etc/network-wizard",
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#-----------------
	#
	# Files to copy:

	
	# Stuff from the Waterfall:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Drivers/Panda Wireless Internet Adapter Driver/rt5370sta.ko" => $destination_for_driver,
		
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	
	# Stuff from the Spring:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Panda Wireless Internet Adapter/RT2870STA.dat" => "/etc/Wireless/RT2870STA/",
		"Network Wizard/wpa_modules" => "/etc/network-wizard/",
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
			
			
			
	#--------------------
	#
	# Tarball to extract:
	
	#$folder_to_run_shell_command_in=$destination_for_tarball;

	#$command_line="tar -xvkf '$tarball_name'";

	#Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install the 32-bit release of Firefox v32, a web browser released Sept. 2, 2014", "Installing Firefox v32 for 32-bit Linuxes!");

	
	#------------------
	#
	# File to delete:
	
#	Delete_File("$destination_for_tarball/$tarball_name");
	

	
	#------------------
	#
	# Symlink to make:
	
	#Make_Symlink_To("$destination_for_tarball/firefox/firefox", "and put it at", "/usr/local/bin/firefox-v32");
	
	chdir $destination_for_driver;
	
	Display_and_Do_Command_Line("insmod rt5370sta.ko");
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();