#!/usr/bin/perl

# Script:
# Install Settings - Defaults for xfe 1.32.2 file manager
#

use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Settings - Defaults for xfe 1.32.2 file manager");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs my default settings for the xfe 1.32.2 file manager.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Deletion::Single_Folder_Recursively("Delete_Folder_Recursively");
	
use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

my $folder_to_delete;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install default settings for xfe file manager v1.32.2"
	);


if ($should_proceed == true)
{
	
	#--------------------
	#
	# Folder to delete:
	
	$folder_to_delete = "/root/.config/xfe";
	
	print "\n\n$folder_to_delete is ";
	
	
	if (-l $folder_to_delete )
	{	
		print "a symlink!  Cannot delete!";
	}
	else
	{	
		print "not a symlink!";
		
		Delete_Folder_Recursively("/root/.config/xfe/");
	}
	
	

	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"xfe/Default Green Theme/xfe" => "/root/.config/"
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	

	
	$Launched_Script->Was_Successfully_Completed();
	
}	


End_Script();