#!/usr/bin/perl

# Script:
# Switch GTK Theme to ApDarkGreenYellow


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


my $full_path_of_gtk_them_to_switch_to="/usr/share/themes/ApDarkGreenYellow";


$Launched_Script->Title("Switch GTK Theme to $full_path_of_gtk_them_to_switch_to");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Immediately changes the GTK theme to the above.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::GTK_Themes::Misc ("Switch_GTK_Theme_to_");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"switch the GTK theme to $full_path_of_gtk_them_to_switch_to"
	);



if ( $should_proceed )
{

	#------------------
	#
	# Switching GTK theme
	
	
	Switch_GTK_Theme_to_($full_path_of_gtk_them_to_switch_to);

	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();