#!/usr/bin/perl

# Script:
# Install Font - Make Symlink in /usr/lib/mozilla/plugins/ pointing to Flash plugin v11.2.202.442


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';


my $Flash_Version="11.2.202.442";


use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Symlink in /usr/lib/mozilla/plugins/ pointing to Flash plugin v$Flash_Version");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("This script makes a symlink in /usr/lib/mozilla/plugins/ pointing to the Flash plugin at /root/apbin/Firefox/Plugins/Flash/v$Flash_Version/libflashplayer.so.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;



#
#
#	End of variable declarations
#
#####################################################


#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"make a symlink in /usr/lib/mozilla/plugins/ pointing to Flash plugin v$Flash_Version"
	);


if ( $should_proceed )
{
	

	
	#------------------
	#
	# Symlink to make:
	
	Make_Symlink_To("/root/apbin/Firefox/Plugins/Flash/v$Flash_Version/libflashplayer.so", "and put it at", "/usr/lib/mozilla/plugins/libflashplayer.so");
	
	
	#---------------
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();