#!/usr/bin/perl

# Script:
# Install Shell Command - sfs_load v1.3 ApMod C, slightly modified by Apollia


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Shell Command - sfs_load v1.3 ApMod C, slightly modified by Apollia");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Deletes the installed sfs_load and installs sfs_load v1.2-L64 ApMod C, slightly modified by Apollia, which avoid conflicts with TrueCrypt by using loop devices with numbers from 73 onward.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Deletion::Single_File ( "Delete_File");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Chmod_Many_Items"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my @files_to_chmod__their_full_paths;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the shell command sfs_load v1.3 ApMod C, slightly modified by Apollia"
	);


if ( $should_proceed )
{
	

	#---------------
	#
	# File to delete:
	
	Delete_File("/usr/sbin/sfs_load");
	
	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"SFS File Handling/sfs_load/v1.3 ApMod C - slightly modified by Apollia/sfs_load" => "/usr/sbin/",
		
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	
	
	#-----------------
	#
	#  Grant permissions
	#	0755 - "rwx for owner, rx for group and rx for the world"
	#
	#	http://www.linux.org/threads/file-permissions-chmod.4094/
	#
	#	The quoted page says 755, but only 0755 works right in Lucid Puppy 5.2.8 version 004.
	
	@files_to_chmod__their_full_paths = (
		"/usr/sbin/sfs_load"
		);
		
	Chmod_Many_Items(\@files_to_chmod__their_full_paths, 0500);
		# Read/execute for owner, nothing for group, nothing for world

	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();