#!/usr/bin/perl

# Script:
# Install Shell Command - confirm-before-doing-wmpoweroff--turn-off-computer


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';

my $name_of_shell_command="confirm-before-doing-wmpoweroff--turn-off-computer";

use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Shell Command - $name_of_shell_command");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs $name_of_shell_command, which should be used in place of wmreboot to make it harder for you to restart your computer without meaning to.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Many_Files (
	"Delete_Many_Files"
	);
	
use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Chmod_Many_Items"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @files_to_delete__their_full_paths;


my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my @files_to_chmod__their_full_paths;


my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the $name_of_shell_command shell command"
	);


if ( $should_proceed )
{



	#----------------
	#
	# Files to copy:
	
	print "\n\nNow copying file...";
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Shell Commands/Safer Versions of Shell Commands/$name_of_shell_command" => "/usr/local/bin", 
		
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	print "\n\n";
	
	#----------------------
	#
	#  Grant permissions
	#	0755 - "rwx for owner, rx for group and rx for the world"
	#
	#	http://www.linux.org/threads/file-permissions-chmod.4094/
	#
	#	The quoted page says 755, but only 0755 works right in Lucid Puppy 5.2.8 version 004.
	
	@files_to_chmod__their_full_paths = (
		"/usr/local/bin/$name_of_shell_command",
		);
		
	Chmod_Many_Items(\@files_to_chmod__their_full_paths, 0500);
		# Read/execute for owner, nothing for group, nothing for world
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();