#!/usr/bin/perl

# Script:
# Install Tarball - Mercurial 3.1 for Lupu5284


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Tarball - Mercurial 3.1 for Lupu5284");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs Mercurial 3.1, a distributed version control system.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);

use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install Mercurial 3.1, a distributed virtual control system"
	);
	
	

if ($should_proceed)
{

	
	
	#-----------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Version Control Systems/Mercurial/mercurial-3.1-locally-installed-in-root-apbin--for-Lupu5284.tar.gz" => "/root/apbin",
		
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in="/root/apbin";

	$command_line="tar -xvkf mercurial-3.1-locally-installed-in-root-apbin--for-Lupu5284.tar.gz";

	$chose_to_install 
	= Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install Mercurial 3.1, a distributed version control system", "Installing Mercurial 3.1!");

	
	#------------------
	#
	# File to delete:
	
	Delete_File("/root/apbin/mercurial-3.1-locally-installed-in-root-apbin--for-Lupu5284.tar.gz");
	

	
	#------------------
	#
	# Symlink to make:
	
	Make_Symlink_To("/root/apbin/mercurial-3.1/hg", "and put it at", "/usr/local/bin/hg");
	
	
}

End_Script();