#!/usr/bin/perl

# Script:
# Branching Script - Install Everything for VirtualBox v4.1.8


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Branching Script - Install Everything for VirtualBox v4.1.8");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches various other scripts that make empty folders.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



print "\n\nOther scripts this script will launch:";


@scripts_to_launch__their_relative_paths = (

	"VirtualBox/Install Pet - VirtualBox v4.1.8 drivers, k2.6.33.2.lupu5.pl",
	"VirtualBox/Install Pet - VirtualBox v4.1.8 itself.pl",
	"VirtualBox/Make Symlinks to VirtualBox config and VMs.pl",
	"VirtualBox/Make Symlink to Guest Additions iso.pl",
	
	# Now, just stuff for VBs:
	
	"VirtualBox/ABDesktop VB/Branching Script - Install everything for ABDesktop VB.pl",
	"VirtualBox/Mail VB/Branching Script - Install everything for Mail VB.pl",
	"VirtualBox/MusicBrainz VB/Branching Script - Install everything for MusicBrainz VB.pl",
	"VirtualBox/Pup VB/Branching Script - Install everything for Pup VB.pl",
	"VirtualBox/Scratch VB/Branching Script - Install everything for Scratch VB.pl",
	"VirtualBox/VBX VB/Branching Script - Install everything for VBX VB.pl",
	"VirtualBox/Wander VB/Branching Script - Install everything for Wander VB.pl",
	"VirtualBox/Work VB/Branching Script - Install everything for Work VB.pl",
	);


Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
		
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"launch the above other scripts"
	);
	

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	#Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Do_Open_Window", "Autoclose_After_X_Seconds", "Do_Things_Automatically", [], "Should launch in separate process" );
	
	#Pause_Until_User_Presses_Enter();
		# If the scripts were launched in a separate process with the Proc::Daemon
		# Perl module, the above line is necessary to make the script not quit 
		# immediately when the user presses Return.
		
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();