#!/usr/bin/perl

# Script:
# Make Symlink to Guest Additions iso


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Symlink to Guest Additions iso");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Some features of VirtualBox (such as shared folders) depend on guest operating systems having VirtualBox's Guest Additions installed in them.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#
	
use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %symlinks_to_make__positions_then_destinations;

my $should_proceed;

my $dest_path;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the petgetjet shell command"
	);


if ( $should_proceed )
{


	
	#------------------
	#
	# Symlinks to make:
	
	$dest_path = $Puppy_Setup_Kit->Realm_Path("Fjord") . "VirtualBox/v4.1.8/VBoxGuestAdditions.iso";
	
	%symlinks_to_make__positions_then_destinations = (
		"/opt/VirtualBox/VBoxGuestAdditions.iso" => $dest_path
		);
	
	Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();