#!/usr/bin/perl

# Script:
# Make Symlinks to VirtualBox config and VMs


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Symlinks to VirtualBox config and VMs");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("By default, VirtualBox's settings and VMs (virtual machines) are thought to be in /root/, which in Puppy, is in the RAM disk.  Since we probably want to preserve our VirtualBox settings rather than losing them at shutdown, and since many VMs could easily be too large for the RAM disk (and even if they do fit, we probably want to make sure they're saved), we will put symlinks in /root/ which point at locations on a physical disk.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);
	
use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my %symlinks_to_make__positions_then_destinations;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the petgetjet shell command"
	);


if ( $should_proceed )
{


	
	#------------------
	#
	# Symlinks to make:
	
	%symlinks_to_make__positions_then_destinations = (
		"/root/.VirtualBox" => "/mnt/truecrypt64/Vineyard/.VirtualBox/",
		"/root/VirtualBox VMs"  => "/mnt/truecrypt64/Vineyard/VirtualBox VMs/",
		);
	
	Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();