#!/usr/bin/perl

# Script:
# Branching Script - Install everything for Firefox v3.6.13 pet for Lupu5284


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Branching Script - Install everything for Firefox v3.6.13 pet for Lupu5284");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches various other scripts which install Firefox v3.6.13 and my default settings, etc.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



print "\n\nOther scripts this script will launch:";


@scripts_to_launch__their_relative_paths = (
	"Lupu5284/Web Browsers/Firefox/v3.6.13/Install Pet - Firefox v3.6.13.pl",
	
	# 13:51 09/06/2014. The pet happens to overwrite defaultbrowser script, so, we fix that here.
	"Any_Pup/Web Browsers/Default Web Browser/Install Shell Command - defaultbrowser, a version which asks for confirmation first.pl",
	
	"Any_Pup/Web Browsers/Firefox/v3.6.13/Create New User - Firefox_v3_6_13.pl",

	"Lupu5284/Web Browsers/Firefox/v3.6.13/Profiles/Move Firefox v3.6.13 .mozilla folder into root aphome Firefox_v3_6_13.pl",
	
	#"Web Browsers/Firefox/v3.6.13/Make Symlink to relocated .mozilla folder.pl",
	
	"Any_Pup/Web Browsers/Firefox/v3.6.13/Make Folders - Firefox v3.6.13 Cache folders in root zzzzz-tmp for Default profile.pl",
	
	#"Web Browsers/Firefox/v3.6.13/Make Folders - Firefox v3.6.13 Cache folders in tmp.pl",
	
	"Any_Pup/Web Browsers/Firefox/Delete File - usr bin firefox.pl",
	
	"Any_Pup/Web Browsers/Firefox/v3.6.13/Install Launcher for Firefox v3.6.13.pl",
	);


Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
		
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"launch the above other scripts"
	);
	

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
		
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();