#!/usr/bin/perl

# Script:
# Move Firefox v3.6.13 .mozilla folder into /root/aphome/Firefox_v3_6_13


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Relocate Settings - Put Firefox v3.6.13 .mozilla folder in /root/aphome/Firefox_v3_6_13");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Relocate Firefox v3.6.13's /root/.mozilla/ folder into: /root/aphome/Firefox_v3_6_13/");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Moving::Single_Folder; (
	"Move_Folder_to_Folder"
	);

use ApolliaLib::Folder_Handling::Single_Folder (
	"Make_Folder_Path"
	);

use ApolliaLib::File_or_Folder_Handling::Many_Items ( "Chown_Item_Recursively");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $folder_to_move;
my $destination_folder;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"move Firefox v3.6.13's /root/.mozilla/ folder into /root/aphome/Firefox_v3_6_13/"
	);


if ( $should_proceed )
{

	#---------------
	#
	# Folder to make:

	$destination_folder="/root/aphome/Firefox_v3_6_13/";
	
	Make_Folder_Path($destination_folder );
	
	
	#---------------
	#
	# Folder to move
	
	$folder_to_move="/root/.mozilla";
	
	Move_Folder_to_Folder($folder_to_move, $destination_folder);

	
	#---------------
	#
	# Change owner and group to Firefox_v3_6_13:
	
	Chown_Item_Recursively($destination_folder, "and change its owner to", "Firefox_v3_6_13", "Firefox_v3_6_13");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();