#!/usr/bin/perl

# Script:
# Settings Install - Rox-Filer SendTo MIME type folders


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Settings Install - Rox-Filer SendTo MIME type folders");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Puts some new MIME types amongst Rox-Filer's SendTo folders at: /root/.config/rox.sourceforge.net/SendTo/");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Multiple_Pups");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;
my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"add new MIME types to Rox-Filer"
	);

if ( $should_proceed )
{
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/root/.config/rox.sourceforge.net/SendTo/.text_x-python/",
		"/root/.config/rox.sourceforge.net/SendTo/.application_x-perl/",
		"/root/.config/rox.sourceforge.net/SendTo/.application_x-php/",
		
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();