#!/usr/bin/perl

# Script:
# Delete Trash Symlinks from Rox-Filer SendTo folders


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Delete Trash Symlinks from Rox-Filer SendTo folders");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Deletes the Trash symlink from every Rox-Filer SendTo shortcut folder, so you'll have less risk of accidentally deleting files.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Multiple_Pups");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Deletion::Single_File ( "Delete_File");

use ApolliaLib::File_Handling::Deletion::Single_Symlink ( "Delete_Symlink");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @files;
my $SHORTCUTDIR;
my $shortcut_dir;
my $file;
my $mimetype_folder;
my $full_path_to_trash;

my %symlinks_to_make__positions_then_destinations;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"delete the Trash shortcut from all Rox-Filer SendTo shortcut folders"
	);

if ( $should_proceed )
{
	
	################
	#
	#  Section where we delete Trash right-click menu shortcuts
	# 	and add Pondize and Pondzip shortcuts.
	#

	$shortcut_dir="/root/.config/rox.sourceforge.net/SendTo/";

	chdir $shortcut_dir;
	opendir($SHORTCUTDIR, $shortcut_dir);
		
	@files=readdir($SHORTCUTDIR);

	foreach $file (@files)
	{	
		if (-d $file)
		{	
			if ($file eq "." || $file eq "..")
			{	next;
			}
			$mimetype_folder=$shortcut_dir . $file;
			chdir $mimetype_folder;
			
			$full_path_to_trash=$mimetype_folder . "/" . "Trash";
			
			Delete_Symlink($full_path_to_trash);
			
			chdir $shortcut_dir;
			
		}
		else
		{	
			next;
		}
	}
	closedir($SHORTCUTDIR);


	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();